# Visualization
TKV3d
SelectMgr

# SelectMgr_Filter Class Reference

The root class to define filter objects for selection.
Advance handling of objects requires the services of
filters. These only allow dynamic detection and
selection of objects which correspond to the criteria defined in each.
Eight standard filters inheriting SelectMgr_Filter are
defined in Open CASCADE.
You can create your own filters by defining new filter
classes inheriting this framework. You use these
filters by loading them into an AIS interactive context.
.

`#include <SelectMgr_Filter.hxx>`

Inheritance diagram for SelectMgr_Filter:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anObj) const =0

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aStandardMode) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean SelectMgr_Filter::ActsOn | ( | const TopAbs_ShapeEnum | aStandardMode | ) | const`[virtual]`

| Reimplemented in AIS_BadEdgeFilter, AIS_C0RegularityFilter, SelectMgr_CompositionFilter, StdSelect_EdgeFilter, StdSelect_FaceFilter, and StdSelect_ShapeTypeFilter.

Standard_EXPORT const SelectMgr_Filter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in AIS_AttributeFilter, AIS_BadEdgeFilter, AIS_C0RegularityFilter, AIS_ExclusionFilter, AIS_SignatureFilter, AIS_TypeFilter, SelectMgr_AndFilter, SelectMgr_CompositionFilter, SelectMgr_OrFilter, StdSelect_EdgeFilter, StdSelect_FaceFilter, and StdSelect_ShapeTypeFilter.

virtual Standard_EXPORT Standard_Boolean SelectMgr_Filter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anObj | ) | const`[pure virtual]`

| Implemented in AIS_AttributeFilter, AIS_BadEdgeFilter, AIS_C0RegularityFilter, AIS_ExclusionFilter, AIS_SignatureFilter, AIS_TypeFilter, SelectMgr_AndFilter, SelectMgr_OrFilter, StdSelect_EdgeFilter, StdSelect_FaceFilter, and StdSelect_ShapeTypeFilter.

The documentation for this class was generated from the following file:

- SelectMgr_Filter.hxx